Loading...
Searching...
No Matches
Gfx::TextureCreateParams Struct Reference

Parameters for texture creation. More...

`#include <src/graphics/core/texture.h>`

## Public Member Functions

void | LoadDefault ()
| Loads the default values.

## Public Attributes

bool | mipmap = false
| Whether to generate mipmaps.
TexImgFormat | format = TEX_IMG_RGB
| Format of source image data.
TexFilter | filter = TEX_FILTER_NEAREST
| General texture filtering mode.
bool | padToNearestPowerOfTwo = false
| Pad the image to nearest power of 2 dimensions.

## Detailed Description

Parameters for texture creation.

These params define how particular texture is created and later displayed. They must be specified at texture creation time and cannot be changed later.

## Member Function Documentation

## LoadDefault()

void Gfx::TextureCreateParams::LoadDefault | ( |  | ) |

inline

Loads the default values.

## Member Data Documentation

## mipmap

bool Gfx::TextureCreateParams::mipmap = false

Whether to generate mipmaps.

## format

TexImgFormat Gfx::TextureCreateParams::format = TEX_IMG_RGB

Format of source image data.

## filter

TexFilter Gfx::TextureCreateParams::filter = TEX_FILTER_NEAREST

General texture filtering mode.

## padToNearestPowerOfTwo

bool Gfx::TextureCreateParams::padToNearestPowerOfTwo = false

Pad the image to nearest power of 2 dimensions.

The documentation for this struct was generated from the following file:

- src/graphics/core/texture.h